Subject: Re: bug#22213: 24.5; please allow specification or elimination of timestamp in autoloads

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Jan 2016 02:41:49 -0500

>> But for autoloads.el in general this is not true because of the
>> existence of entry points such as update-file-autoloads which mean that
>> the autoloads file may be updated for some of the files it covers rather
>> than for all of them.
> I think there are a lot of cases (the majority?) where we know that this
> kind of partial update simply isn't going to happen.

Definitely.  I've never seen entry points like update-file-autoloads
being used.  I think autoloads.el would benefit greatly from getting rid
of such entry points (they significantly complicate the code, in my
experience, and they're very rarely used, if ever).

        Stefan